# IWisejHandler

Namespace: **Wisej.Core**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents a Wisej component that is capable of handling postback requests from the client.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IWisejHandler : IWisejComponent, IDisposable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IWisejHandler
    Inherits IWisejComponent, IDisposable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) Compress

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Enables the response compression.

## Methods

### ![](https://1075938901-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2HvlWXJQMV7DxhGzw7Y1%2Fuploads%2Fgit-blob-2389c55cd19719a73a5ae98e1528c8dc8525cc35%2Finstance.png?alt=media) ProcessRequest(context)

Process the HTTP request.

| Parameter   | Type                                                                                | Description                                                                                      |
| ----------- | ----------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ |
| **context** | [HttpContext](https://docs.wisej.com/api/wisej.core/general/wisej.core.httpcontext) | The current [HttpContext](https://docs.wisej.com/api/wisej.core/general/wisej.core.httpcontext). |

## Implemented By

| Name                                                                                                         | Description                                                                                                                                                                                                                     |
| ------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview)                            | Represents a data grid control.                                                                                                                                                                                                 |
| [Canvas](https://docs.wisej.com/api/wisej.web/content/canvas)                                                | Represents a drawing surface for immediate-mode 2D rendering, similar to the HTML5 Canvas API.                                                                                                                                  |
| [FlashPlayer](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/wisej.web/media/flashplayer/README.md) | Represents a [FlashPlayer](https://github.com/iceteagroup/wisej-docs-api/blob/v4.0/wisej.web/media/flashplayer/README.md) control that can display flash applications.                                                          |
| [PdfViewer](https://docs.wisej.com/api/wisej.web/content/pdfviewer)                                          | Represents a [PdfViewer](https://docs.wisej.com/api/wisej.web/content/pdfviewer) control that can display a pdf document in the browser either using the native pdf viewer, the pdf.js viewer, Google docs, or a custom viewer. |
| [Upload](https://docs.wisej.com/api/wisej.web/content/upload)                                                | Represent an upload widget. Allows users to selected one or more files and upload them to the server.                                                                                                                           |
| [Widget](https://docs.wisej.com/api/wisej.web/content/widget)                                                | Provides a generic widget that can use most third party javascript widgets.                                                                                                                                                     |
| [ImageList](https://docs.wisej.com/api/wisej.web/content/imagelist)                                          | Provides methods to manage a collection of [Image](https://docs.microsoft.com/dotnet/api/system.drawing.image) objects. This class cannot be inherited.                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.core/interfaces/wisej.core.iwisejhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
